Campaigns
GET https://psh.nebent.net/api/campaigns/
curl --request GET \
--url 'https://psh.nebent.net/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, title, description, url. |
| status | Optional String | Allowed values: draft, scheduled, processing, sent |
| website_id | Optional Integer | |
| datetime_field | Optional String | Allowed values: datetime, scheduled_datetime, last_sent_datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: campaign_id, datetime, last_datetime, scheduled_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": 1,
"recurring_campaign_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-09-10 11:44:03",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:44:03"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://psh.nebent.net/api/campaigns?page=1",
"last": "https://psh.nebent.net/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://psh.nebent.net/api/campaigns?page=1"
}
}
GET https://psh.nebent.net/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": 1,
"recurring_campaign_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-09-10 11:44:03",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:44:03"
}
}
POST https://psh.nebent.net/api/campaigns
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | - |
| name | Required String | - |
| title | Required String | - |
| description | Required String | - |
| url | Optional String | - |
| image | Optional File | - |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_scheduled | Optional Boolean | - |
| scheduled_datetime | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | Optional String | Allowed values: all, custom, filter, INT segment_id |
| subscribers_ids | Optional String | Available when: segment = custom |
| filters_custom_parameter_key[index] | Optional String | Available when: segment = filter |
| filters_custom_parameter_condition[index] | Optional String |
Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Available when: segment = filter |
| filters_custom_parameter_value[index] | Optional String | Available when: segment = filter |
| filters_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_seen_online_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_sent_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_subscribed_on_url | Optional String | Available when: segment = filter |
| filters_cities | Optional String | Available when: segment = filter |
| filters_countries[] | Optional String | Available when: segment = filter |
| filters_continents[] | Optional String | Available when: segment = filter |
| filters_device_type[] | Optional String | Available when: segment = filter |
| filters_languages[] | Optional String | Available when: segment = filter |
| filters_operating_systems[] | Optional String | Available when: segment = filter |
| filters_browsers[] | Optional String | Available when: segment = filter |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| save | Optional Boolean | Save draft |
| send | Optional Boolean | Send campaign |
| filters_countries | Optional Array | - |
| filters_continents | Optional Array | - |
| filters_device_type | Optional Array | - |
| filters_languages | Optional Array | - |
| filters_operating_systems | Optional Array | - |
| filters_browsers | Optional Array | - |
| urgency | Optional Integer | - |
curl --request POST \
--url 'https://psh.nebent.net/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://psh.nebent.net/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": null,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-09-10 11:44:03",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:44:03"
}
}
POST https://psh.nebent.net/api/campaigns/{campaign_id}
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| title | Optional String | - |
| description | Optional String | - |
| url | Optional String | - |
| image | Optional File | - |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_scheduled | Optional Boolean | - |
| scheduled_datetime | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | Optional String | Allowed values: all, custom, filter, INT segment_id |
| subscribers_ids | Optional String | Available when: segment = custom |
| filters_custom_parameter_key[index] | Optional String | Available when: segment = filter |
| filters_custom_parameter_condition[index] | Optional String |
Allowed values: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Available when: segment = filter |
| filters_custom_parameter_value[index] | Optional String | Available when: segment = filter |
| filters_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_seen_online_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_last_sent_datetime_condition | Optional String | Available when: segment = filter within_last, older_than |
| filters_last_sent_datetime_value | Optional Integer | Available when: segment = filter days |
| filters_subscribed_on_url | Optional String | Available when: segment = filter |
| filters_cities | Optional String | Available when: segment = filter |
| filters_countries[] | Optional String | Available when: segment = filter |
| filters_continents[] | Optional String | Available when: segment = filter |
| filters_device_type[] | Optional String | Available when: segment = filter |
| filters_languages[] | Optional String | Available when: segment = filter |
| filters_operating_systems[] | Optional String | Available when: segment = filter |
| filters_browsers[] | Optional String | Available when: segment = filter |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| save | Optional Boolean | Save draft |
| send | Optional Boolean | Send campaign |
| filters_countries | Optional Array | - |
| filters_continents | Optional Array | - |
| filters_device_type | Optional Array | - |
| filters_languages | Optional Array | - |
| filters_operating_systems | Optional Array | - |
| filters_browsers | Optional Array | - |
| urgency | Optional Integer | - |
curl --request POST \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_automation_id": null,
"recurring_campaign_id": null,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"subscribers_ids": [],
"sent_subscribers_ids": [],
"total_push_notifications": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"status": 1,
"scheduled_datetime": "2026-09-10 11:44:03",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-09-10 11:44:03"
}
}
DELETE https://psh.nebent.net/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://psh.nebent.net/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \